function func = getFuncType(ftype,ops)
% getFuncType 
%   getFuncType returns function callback

%   Project: IMPACT
%   Title of Code: getFuncType
%   Relevant additional documentation:
%   Developer: Carlos Gonzalez
%   External Dependencies: NA
%
%   Disclaimer
%   CAUTION: It is strongly recommended that changes to this code
%   should be avoided without first consulting with authors.

if strcmpi(ops,'wind')
    func = @getWind4B;
end

if strcmpi(ops,'signal')
    func = @getSignal4B;
end

if strcmpi(ops,'gui')
    func = @newbladedsignalchk;
end

if strcmpi(ops,'uloads')
    func = @getBlULoads;
end

if strcmpi(ops,'group')
    func = @sortByGroups; 
end

if strcmpi(ops,'abb')
    func = @bladedAbbFind;
end

if strcmpi(ops,'data')
    func = @bladedDataRead;
end
